<div>
  <h2 id="page-heading" data-cy="OrderLineHeading">
    <span jhiTranslate="ltnAppApp.orderLine.home.title">Order Lines</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info mr-2" (click)="loadAll()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="ltnAppApp.orderLine.home.refreshListLabel">Refresh List</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-order-line"
        [routerLink]="['/order-line/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="ltnAppApp.orderLine.home.createLabel"> Create a new Order Line </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="orderLines?.length === 0">
    <span jhiTranslate="ltnAppApp.orderLine.home.notFound">No orderLines found</span>
  </div>

  <div class="table-responsive" id="entities" *ngIf="orderLines && orderLines.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr>
          <th scope="col"><span jhiTranslate="ltnAppApp.orderLine.id">Id</span></th>
          <th scope="col"><span jhiTranslate="ltnAppApp.orderLine.quantity">Quantity</span></th>
          <th scope="col"><span jhiTranslate="ltnAppApp.orderLine.price">Price</span></th>
          <th scope="col"><span jhiTranslate="ltnAppApp.orderLine.parent">Parent</span></th>
          <th scope="col"><span jhiTranslate="ltnAppApp.orderLine.product">Product</span></th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let orderLine of orderLines; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/order-line', orderLine.id, 'view']">{{ orderLine.id }}</a>
          </td>
          <td>{{ orderLine.quantity }}</td>
          <td>{{ orderLine.price }}</td>
          <td>
            <div *ngIf="orderLine.parent">
              <a [routerLink]="['/order', orderLine.parent?.id, 'view']">{{ orderLine.parent?.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="orderLine.product">
              <a [routerLink]="['/product', orderLine.product?.id, 'view']">{{ orderLine.product?.id }}</a>
            </div>
          </td>
          <td class="text-right">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/order-line', orderLine.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/order-line', orderLine.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
              </button>

              <button type="submit" (click)="delete(orderLine)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
